POST api/values/InsertContactRecord

Request Information

URI Parameters

None.

Body Parameters

insertContact
NameDescriptionTypeAdditional information
numUserid

integer

None.

UserName

string

None.

Name

Collection of string

None.

MobileNum

Collection of string

None.

Members

Collection of Dictionary of string [key] and Object [value]

None.

Request Formats

application/json, text/json

Sample:
{
  "numUserid": 1,
  "UserName": "sample string 2",
  "Name": [
    "sample string 1",
    "sample string 2"
  ],
  "MobileNum": [
    "sample string 1",
    "sample string 2"
  ],
  "Members": [
    {
      "sample string 1": {},
      "sample string 3": {}
    },
    {
      "sample string 1": {},
      "sample string 3": {}
    }
  ]
}

application/xml, text/xml

Sample:
<EntityObject.insertContact xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Bta_WebApi.Models">
  <Members xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:ArrayOfKeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 1</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 3</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
    </d2p1:ArrayOfKeyValueOfstringanyType>
    <d2p1:ArrayOfKeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 1</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 3</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
    </d2p1:ArrayOfKeyValueOfstringanyType>
  </Members>
  <MobileNum xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </MobileNum>
  <Name xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </Name>
  <UserName>sample string 2</UserName>
  <numUserid>1</numUserid>
</EntityObject.insertContact>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'insertContact'.

Response Information

Resource Description

Result13OfinsertContact
NameDescriptionTypeAdditional information
Status

boolean

None.

Message

string

None.

Data

Collection of Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json

Sample:
{
  "Status": true,
  "Message": "sample string 2",
  "Data": [
    {
      "sample string 1": {},
      "sample string 3": {}
    },
    {
      "sample string 1": {},
      "sample string 3": {}
    }
  ]
}

application/xml, text/xml

Sample:
<EntityObject.Result13OfEntityObject.insertContactj8zdX7jq xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Bta_WebApi.Models">
  <Data xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:ArrayOfKeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 1</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 3</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
    </d2p1:ArrayOfKeyValueOfstringanyType>
    <d2p1:ArrayOfKeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 1</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
      <d2p1:KeyValueOfstringanyType>
        <d2p1:Key>sample string 3</d2p1:Key>
        <d2p1:Value />
      </d2p1:KeyValueOfstringanyType>
    </d2p1:ArrayOfKeyValueOfstringanyType>
  </Data>
  <Message>sample string 2</Message>
  <Status>true</Status>
</EntityObject.Result13OfEntityObject.insertContactj8zdX7jq>